sailpoint.api

## Class PersistenceManager.LockParameters

- java.lang.Object
- - sailpoint.api.PersistenceManager.LockParameters

Enclosing interface:
  PersistenceManager

    public static class PersistenceManager.LockParameters
    extends java.lang.Object

Encapsulation of lock parameters.

### Constructor Summary

Constructors
Constructor and Description
`LockParameters()` Constructor.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static PersistenceManager.LockParameters` `createById(java.lang.String id, java.lang.String lockType, java.lang.String lockName)` Convenience method to create default locking object that locks by ID with the given ID, type and lockName.
`static PersistenceManager.LockParameters` `createByName(java.lang.String name, java.lang.String lockType, java.lang.String lockName)` Convenience method to create default locking object that locks by name with the given name, type and lockName.
`java.lang.String` `getColumn()` Return the column that is used to find the object to lock - typically either name or id.
`int` `getLockDuration()` Return the duration in minutes of the lock.
`java.lang.String` `getLockName()` Return the name of this lock.
`PersistenceManager.LockPhase` `getLockPhase()`
`int` `getLockTimeout()` Return the timeout in seconds before trying to obtain a lock fails.
`java.lang.String` `getLockType()` Return the type of lock - one of `PersistenceManager.LOCK_TYPE_PERSISTENT` or `PersistenceManager.LOCK_TYPE_TRANSACTION`.
`java.lang.String` `getValue()` Return the value to use to look up the object to lock.
`boolean` `isTransactionLock()` Return whether this is a transaction lock.
`void` `setColumn(java.lang.String val)`
`void` `setId(java.lang.String id)` Set the ID of the object to lock.
`void` `setLockDuration(int val)`
`void` `setLockName(java.lang.String val)`
`void` `setLockPhase(PersistenceManager.LockPhase lockPhase)`
`void` `setLockTimeout(int val)`
`void` `setLockType(java.lang.String val)`
`void` `setName(java.lang.String name)` Set the name of the object to lock.
`void` `setValue(java.lang.String val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LockParameters

    public LockParameters()

Constructor.

### Method Detail

#### getLockPhase

    public PersistenceManager.LockPhase getLockPhase()

#### setLockPhase

    public void setLockPhase(PersistenceManager.LockPhase lockPhase)

#### getLockName

    public java.lang.String getLockName()

Return the name of this lock.

#### setLockName

    public void setLockName(java.lang.String val)

#### getColumn

    public java.lang.String getColumn()

Return the column that is used to find the object to lock - typically either name or id.

#### setColumn

    public void setColumn(java.lang.String val)

#### getValue

    public java.lang.String getValue()

Return the value to use to look up the object to lock. The value is typically an object ID or name depending on the getColumn().

#### setValue

    public void setValue(java.lang.String val)

#### getLockType

    public java.lang.String getLockType()

Return the type of lock - one of `PersistenceManager.LOCK_TYPE_PERSISTENT` or `PersistenceManager.LOCK_TYPE_TRANSACTION`.

#### setLockType

    public void setLockType(java.lang.String val)

#### getLockDuration

    public int getLockDuration()

Return the duration in minutes of the lock.

#### setLockDuration

    public void setLockDuration(int val)

#### getLockTimeout

    public int getLockTimeout()

Return the timeout in seconds before trying to obtain a lock fails.

#### setLockTimeout

    public void setLockTimeout(int val)

#### setId

    public void setId(java.lang.String id)

Set the ID of the object to lock.

#### setName

    public void setName(java.lang.String name)

Set the name of the object to lock.

#### createById

    public static PersistenceManager.LockParameters createById(java.lang.String id,
                                                               java.lang.String lockType,
                                                               java.lang.String lockName)

Convenience method to create default locking object that locks by ID with the given ID, type and lockName.

#### createByName

    public static PersistenceManager.LockParameters createByName(java.lang.String name,
                                                                 java.lang.String lockType,
                                                                 java.lang.String lockName)

Convenience method to create default locking object that locks by name with the given name, type and lockName.

#### isTransactionLock

    public boolean isTransactionLock()

Return whether this is a transaction lock.